# UserPreferences(bpy_struct)

base class — `bpy_struct`

class `bpy.types.``UserPreferences`(bpy_struct)

  Global user preferences

  `active_section`

    Active section of the user preferences shown in the user interface

    Type: | enum in [‘INTERFACE’, ‘EDITING’, ‘INPUT’, ‘ADDONS’, ‘THEMES’, ‘FILES’, ‘SYSTEM’], default ‘INTERFACE’

  `addons`

    Type: | `Addons` `bpy_prop_collection` of `Addon`, (readonly)

  `autoexec_paths`

    Type: | `PathCompareCollection` `bpy_prop_collection` of `PathCompare`, (readonly)

  `edit`

    Settings for interacting with Blender data

    Type: | `UserPreferencesEdit`, (readonly, never None)

  `filepaths`

    Default paths for external files

    Type: | `UserPreferencesFilePaths`, (readonly, never None)

  `inputs`

    Settings for input devices

    Type: | `UserPreferencesInput`, (readonly, never None)

  `system`

    Graphics driver and operating system settings

    Type: | `UserPreferencesSystem`, (readonly, never None)

  `themes`

    Type: | `bpy_prop_collection` of `Theme`, (readonly)

  `ui_styles`

    Type: | `bpy_prop_collection` of `ThemeStyle`, (readonly)

  `view`

    Preferences related to viewing data

    Type: | `UserPreferencesView`, (readonly, never None)

Inherited Properties

`bpy_struct.id_data` |

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`

References

`Context.user_preferences` |